<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="?attr/primaryBackgroundColor"
    android:orientation="vertical">

    <com.google.android.material.progressindicator.ProgressIndicator
        android:id="@+id/loadingMoreView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        style="@style/Widget.MaterialComponents.ProgressIndicator.Linear.Indeterminate"
        app:indicatorColor="?attr/progressIndicatorColor" />

    <com.google.android.material.progressindicator.ProgressIndicator
        android:id="@+id/progressBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        style="@style/Widget.MaterialComponents.ProgressIndicator.Linear.Indeterminate"
        app:indicatorColor="?attr/progressIndicatorColor" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="10dp">

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/searchKeywordLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:boxBackgroundColor="?attr/inputBackgroundColor"
            android:textColorHint="?attr/hintColor"
            app:hintTextColor="?attr/hintColor"
            app:boxStrokeErrorColor="@color/darkRed"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="8dp"
            app:startIconDrawable="@drawable/ic_search"
            app:startIconTint="?attr/iconsColor"
            app:endIconMode="clear_text"
            app:endIconTint="?attr/iconsColor"
            android:hint="@string/navSearchIssuesPulls">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/searchKeyword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="?attr/inputTextColor"
                android:textColorHighlight="?attr/hintColor"
                android:textColorHint="?attr/hintColor"
                android:imeOptions="actionSend"
                android:inputType="text"
                android:textSize="16sp" />

        </com.google.android.material.textfield.TextInputLayout>

    </LinearLayout>

    <TextView
        android:id="@+id/noData"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="15dp"
        android:gravity="center"
        android:text="@string/noDataFound"
        android:textColor="?attr/primaryTextColor"
        android:textSize="20sp"
        android:visibility="gone" />

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/pullToRefresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerViewSearchIssues"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="?attr/primaryBackgroundColor"
            android:scrollbars="vertical" />

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

</LinearLayout>
